# Generated by Django 3.1.3 on 2020-11-26 13:40

from django.db import migrations, models
import django.db.models.deletion
import djangoyearlessdate.models
import isbn_field.fields
import isbn_field.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('accounts', '0003_auto_20201122_0910'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_firstname', models.CharField(max_length=30)),
                ('author_lastname', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Publisher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('publisherName', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name='Shelf',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shelf_number', models.IntegerField()),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='bookeeper_app.room')),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('parent_category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='bookeeper_app.category')),
            ],
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('isbn', isbn_field.fields.ISBNField(max_length=28, validators=[isbn_field.validators.ISBNValidator], verbose_name='ISBN')),
                ('copyright_year', djangoyearlessdate.models.YearField(blank=True, null=True)),
                ('edition_year', djangoyearlessdate.models.YearField(blank=True, null=True)),
                ('cover_image', models.ImageField(upload_to='coperti_carti/')),
                ('authorID', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='bookeeper_app.author')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='bookeeper_app.category')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.profile')),
                ('publisherID', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='bookeeper_app.publisher')),
                ('shelf', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='bookeeper_app.shelf')),
            ],
        ),
    ]
